Results 1 to 3 of 3

Thread: Issues with Development Tools module in SLES15-SP0 (SMT)

Hybrid View

  1. #1

    Issues with Development Tools module in SLES15-SP0 (SMT)

    Anyone know if there are problems with Development Tools repos in SLES15-SP0? See below

    Code:
    # SUSEConnect -p sle-module-development-tools/15/x86_64
    Registering system to registration proxy https://smt.local
    
    Updating system details on https://smt.local ...
    
    Activating sle-module-development-tools 15 x86_64 ...
    -> Adding service to system ...
    -> Installing release package ...
    command 'zypper --no-refresh --non-interactive install --no-recommends --auto-agree-with-product-licenses -t product sle-module-development-tools' failed
    Error: zypper returned (4) with 'Building repository 'SLE-Module-Basesystem15-Pool' cache [....done]
    Building repository 'SLE-Module-Basesystem15-Updates' cache [....done]
    Building repository 'SLE-Module-DevTools15-Pool' cache [....done]
    Building repository 'SLE-Module-DevTools15-Updates' cache [....done]
    Building repository 'SLE-Module-Legacy15-Pool' cache [....done]
    Building repository 'SLE-Module-Legacy15-Updates' cache [....done]
    Building repository 'SLE-Module-Server-Applications15-Pool' cache [....done]
    Building repository 'SLE-Module-Server-Applications15-Updates' cache [....done]
    Building repository 'SLE-Module-Web-Scripting15-Pool' cache [....done]
    Building repository 'SLE-Module-Web-Scripting15-Updates' cache [....done]
    Building repository 'SLE-Product-SLES15-Pool' cache [....done]
    Building repository 'SLE-Product-SLES15-Updates' cache [....done]
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    2 Problems:
    Problem: nothing provides product(sle-module-desktop-applications) >= 15 needed by product:sle-module-development-tools-15-0.x86_64
    Problem: nothing provides product(sle-module-desktop-applications) >= 15 needed by product:sle-module-development-tools-15-0.x86_64
    
    Problem: nothing provides product(sle-module-desktop-applications) >= 15 needed by product:sle-module-development-tools-15-0.x86_64
     Solution 1: do not install product:sle-module-development-tools-15-0.x86_64
     Solution 2: break sle-module-development-tools-release-15-114.4.1.x86_64 by ignoring some of its dependencies

    Currently I have no vanilla sles15-sp0 to get to the bottom of this...

  2. Re: Issues with Development Tools module in SLES15-SP0 (SMT)

    Hi
    The 'sle-module-development-tools' is a sub tree(?) of the 'sle-desktop-applications' module, so you need to sync this down to your smt server.

    On SuMA I see;

    Screenshot from 2019-12-31 12-55-41.png
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3

    Re: Issues with Development Tools module in SLES15-SP0 (SMT)

    Quote Originally Posted by malcolmlewis View Post
    Hi
    The 'sle-module-development-tools' is a sub tree(?) of the 'sle-desktop-applications' module, so you need to sync this down to your smt server.

    On SuMA I see;

    Screenshot from 2019-12-31 12-55-41.png

    Hmm yeah that's what SUSEConnect shows too. But that is not the problem.

    Code:
            Desktop Applications Module 15 x86_64 (Activated)
            Deactivate with: SUSEConnect -d -p sle-module-desktop-applications/15/x86_64
    This problem occurs after a plain vanilla GA install from DVD image. I'll have to redo and check at what point it fails and when it no longer fails (potentially after zypper updates or the like).

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •